<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>A4988Driver: assignment</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">A4988Driver
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">assignment</div>  </div>
</div><!--header-->
<div class="contents">
<p>GPIO_TypeDef *EN_PORT = Port of ENABLE pin. <br />
 uint16_t EN_PIN = ENABLE pin. <br />
 GPIO_TypeDef *STEP_PORT = port of STEP pin. <br />
 uint16_t STEP_PIN = STEP pin. <br />
 GPIO_TypeDef *DIR_P = Port of DIRECCION pin. <br />
 GPIO_TypeDef *DIR_PORT = DIRECCION pin. <br />
 </p>
<div class="fragment"><div class="line"><a class="code" href="structa4988_handler.html">a4988Handler</a> motor1;</div><div class="line"><span class="keywordtype">void</span> main(){</div><div class="line">    <a class="code" href="a4988_8c.html#a83a5e4ad4b743e7a5e5e3667d5b5af90">a4988_init</a>(&amp;motor1,A4988_EN1_GPIO_Port, A4988_EN1_Pin, A4988_STP1_GPIO_Port, A4988_STP1_Pin , A4988_DIR1_GPIO_Port, A4988_DIR1_Pin);</div><div class="line">    <a class="code" href="a4988_8c.html#a957c1d38216e19e2d33514fba8290797">a4988_setSpeed</a>(&amp;motor1, 15);</div><div class="line">    <a class="code" href="a4988_8c.html#aac1c631bf4552cbc8e1af42cf426f154">a4988_setStatus</a>(&amp;motor1,<a class="code" href="a4988_8h.html#a6086cd48f9d99d3c531787235d509622a33cf1d8ef1d06ee698a7fabf40eb3a7f">ACTIVE</a>);</div><div class="line">    HAL_Delay(100);</div><div class="line">    <a class="code" href="a4988_8c.html#a616386d44c4d6ab3acd4bfe79f4526c3">a4988_incSteps</a>(&amp;motor1, 400);</div><div class="line">}</div></div><!-- fragment --> </div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
